# CreateTiDBClusterService - CreateTiDBClusterService

## Overview

create TiDB cluster service






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CreateTiDBClusterService`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.sigcalcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Zone. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **Name** | string | cluster name |**Yes**|
| **Password** | string | cluster password |**Yes**|
| **VPCId** | string | VPC ID |**Yes**|
| **SubnetId** | string | subnet id |**Yes**|
| **PubUlbId** | string | pub ulb id |**Yes**|
| **DTType** | string | dt type |**Yes**|
| **NodeConfig.N.ServerType** | string | server type |**Yes**|
| **NodeConfig.N.NodeCount** | int | node count |**Yes**|
| **NodeConfig.N.ConfigId** | string | node config id |**Yes**|
| **NodeConfig.N.DiskSize** | int | node disk size |**Yes**|
| **ChargeType** | string | Billing mode. Enumerated values are: <br /><br /> > Year, pay annually; <br /><br /> > Month, pay monthly; <br /><br /> > Dynamic, prepaid hourly; <br /><br /> > Postpay, postpaid hourly (supports no charge when shut down, currently only supported in some availability zones, please contact your account manager) <br /><br /> > Spot billing is for preemptive instances (in beta) <br /><br /> Default is monthly payment. |**Yes**|
| **OrderDetail.N.ProductName** | string | order ProductName  |**Yes**|
| **OrderDetail.N.Multiple** | int | order Multiple |**Yes**|
| **Coupon** | string | TiDB coupon ID. Please query through the DescribeCoupon interface, or log in to the user center to view. |**Yes**|
| **Quantity** | float | Purchase duration. Default: value 1. This parameter is not required when purchasing by the hour (Dynamic/Postpay). When paying monthly, pass this parameter as 0, which means purchasing until the end of the month. |**Yes**|
| **Ip** | string | IP |No|
| **Port** | string | Port |No|
| **PromotionId** | string | Discount id, passed in by the front end, currently used for SaaS enterprise activities |No|
| **ActivityId** | int | [Internal API Parameter] Activity ID. It needs to be submitted during short-term promotional activities. When passing to the network and other products associated with the host, only this parameter needs to be passed, do not pass BillActivityRuleId. |No|
| **RuleId** | int | [Internal API Parameter] Rule ID. This needs to be submitted during short-term promotional activities. This parameter can only be passed to billing when buying resources for the main machine, and cannot be passed to other products. |No|
| **DbVersion** | string | cluster version |No|
| **TemplateId** | string | template id |No|
| **AlertStrategyIds.N** | int | alert strategy ids |No|
| **SecGroupInfo.N.SecGroupId** | string | Security Group ID. Up to 5 security groups can be bound at the same time. |No|
| **SecGroupInfo.N.Priority** | int | Security Group Priority. Value range [1, 5] |No|
| **Labels.N.Key** | string | Key of User Resource Label |No|
| **Labels.N.Value** | string | Value of User Resource Label |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Data** | [*ServiceData*](#servicedata) | recode detail |**Yes**|

#### Data Model


#### ServiceData

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Id** | string | Service ID |**Yes**|

## Example

### Request Example
    
```
https://api.sigcalcloud.com/?Action=CreateTiDBClusterService
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=blOBPWJc
&Name=iMTHMnMQ
&Password=FtKCWbcW
&VPCId=ORjeezXY
&SubnetId=itMUGQNY
&PubUlbId=WeQAXmPc
&DTType=fiNkIlva
&NewCollationEnabled=9
&NewCollationsEnabledONFirstBootstrap=9
&NodeConfig.ServerType.n=kAodJBnS
&NodeConfig.NodeCount.n=9
&NodeConfig.ConfigId.n=cmIjTfGr
&NodeConfig.DiskSize.n=6
&Ip=irbCUrkH
&Port=xzYEHHGj
&ChargeType=IGGkitjS
&OrderDetail.ProductName.n=lUGoWbBg
&OrderDetail.Multiple.n=3
&Quantity=6.63376
&PromotionId=ynqYAdHH
&ActivityId=tIMIQYTu
&RuleId=OVQBLzVz
&ChargeType=DOsijKmf
&OrderDetail.ProductName.n=ChNDPbAB
&OrderDetail.Multiple.n=9
&Coupon=XkKELZDP
&Quantity=1.12136
&PromotionId=AZFhhXnf
&ActivityId=zqUkeIgK
&RuleId=zhnmXuPw
&ChargeType=IbZfSGct
&OrderDetail.N.ProductName=llKGbvXV
&OrderDetail.N.Multiple=7
&Coupon=RkCCVkpl
&Quantity=5.41324
&PromotionId=uQqsTXPj
&ActivityId=wXEHTSmz
&RuleId=GkvHkzoZ
&DbVersion=sBFALbQE
&TemplateId=vhPzGPgG
&AlertStrategyIds.N=7
&SecGroupInfo.N.SecGroupId=ttKqHHLC
&SecGroupInfo.N.Priority=3
&Labels.N.Key=kEVsquGB
&Labels.N.Value=DvJHgcby
```

### Response Example
    
```json
{
  "Action": "CreateTiDBClusterServiceResponse",
  "Data": {},
  "RetCode": 0
}
```





